## EDU.oswego.cs.dl.util.concurrent
Class WaitFreeQueue.Node

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.WaitFreeQueue.Node

Enclosing class:
  WaitFreeQueue

    protected static final class WaitFreeQueue.Node

extends java.lang.Object

List nodes for Queue

Field Summary
`protected WaitFreeQueue.Node` `next`
`protected java.lang.Object` `value`

Constructor Summary
`protected` `WaitFreeQueue.Node(java.lang.Object x)` Make a new node with indicated item, and null link

Method Summary
`protected boolean` `CASNext(WaitFreeQueue.Node oldNext, WaitFreeQueue.Node newNext)` Simulate a CAS operation for 'next' field

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected final java.lang.Object value

### next

    protected volatile WaitFreeQueue.Node next

Constructor Detail

### WaitFreeQueue.Node

    protected WaitFreeQueue.Node(java.lang.Object x)

  Make a new node with indicated item, and null link

Method Detail

### CASNext

    protected boolean CASNext(WaitFreeQueue.Node oldNext,
                              WaitFreeQueue.Node newNext)

  Simulate a CAS operation for 'next' field